#!/bin/bash
#
# Copyright (c) 2014 OpenElectrons.com
# SmartUPS installation script.
# for more information about SmartUPS,  please visit:
# http://www.openelectrons.com/pages/33
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

sudo /etc/init.d/SmartUPS.sh stop
pid=`ps -ef | grep SmartUPS | grep -v grep | cut -c 10-15`
kill -9 $pid
sudo update-rc.d SmartUPS.sh remove
sudo rm -f /etc/init.d/SmartUPS.sh
sudo rm -f /usr/local/sbin/SmartUPS
sudo rm -f /usr/local/bin/upspanel
sudo rm -f /etc/SmartUPS/SmartUPS.cfg
sudo rm -rf /usr/lib/arm-linux-gnueabihf/lxpanel/plugins/SmartUPS.so
sudo rm -rf /etc/SmartUPS

echo "-----------------------------"
echo "SmartUPS uninstall completed   "
echo "Reboot for changes to take effect"
echo "-----------------------------"
